aboutsummaryrefslogtreecommitdiffstats
path: root/testing/rspamd/rspamd.initd
diff options
context:
space:
mode:
authorValery Kartel <valery.kartel@gmail.com>2016-02-15 14:31:14 +0200
committerTimo Teräs <timo.teras@iki.fi>2016-02-23 08:36:02 +0000
commit08b44c453d82601db4b8a330b08b180b049e41f6 (patch)
treeabf25a47c47086f74c4970d5853f94b758431853 /testing/rspamd/rspamd.initd
parentae6d8820a00d31809716682b979d96a2f76361a5 (diff)
downloadaports-08b44c453d82601db4b8a330b08b180b049e41f6.tar.gz
aports-08b44c453d82601db4b8a330b08b180b049e41f6.tar.bz2
aports-08b44c453d82601db4b8a330b08b180b049e41f6.tar.xz
testing/rspamd: upgrade to 1.1.3 + improved init and logrotate
Diffstat (limited to 'testing/rspamd/rspamd.initd')
-rw-r--r--testing/rspamd/rspamd.initd9
1 files changed, 8 insertions, 1 deletions
diff --git a/testing/rspamd/rspamd.initd b/testing/rspamd/rspamd.initd
index 0fd5b9323b..a20f78457e 100644
--- a/testing/rspamd/rspamd.initd
+++ b/testing/rspamd/rspamd.initd
@@ -8,8 +8,9 @@ pidfile=${pidfile:-/run/rspamd/rspamd.pid}
command=/usr/sbin/rspamd
command_args="-u $user -g $group -c $cfgfile -p $pidfile"
required_files="$cfgfile"
-extra_started_commands="reload"
+extra_started_commands="reload reopen"
description_reload="Reload configuration"
+description_reopen="Reopen log files"
depend() {
need localmount net
@@ -28,3 +29,9 @@ reload() {
start-stop-daemon --signal HUP --pidfile $pidfile
eend $?
}
+
+reopen() {
+ ebegin "Reopening ${SVCNAME} log files"
+ start-stop-daemon --signal USR1 --pidfile $pidfile
+ eend $?
+} \ No newline at end of file